Skip to content

Get current positions for a wallet

GET
/api/wallets/{address}/positions
curl --request GET \
--url 'https://api.qeychain.xyz/api/wallets/example/positions?page=1&limit=50'

Returns current token positions with cost basis data for a tracked wallet.

address
required
Address
string
page
Page

Page number

integer
default: 1 >= 1

Page number

limit
Limit

Items per page

integer
default: 50 >= 1 <= 100

Items per page

owned_wallets
Any of:
Array<string>

All wallet addresses owned by the user (for internal transfer detection). Comma-separated or repeated.

Successful Response

Media typeapplication/json
Examplegenerated
example

Bad Request

Media typeapplication/json
ErrorResponse

Standard error response.

object
detail
required
Detail

Error message

string
error_code
Any of:
string
Examplegenerated
{
"detail": "example",
"error_code": "example"
}

Not Found

Media typeapplication/json
ErrorResponse

Standard error response.

object
detail
required
Detail

Error message

string
error_code
Any of:
string
Examplegenerated
{
"detail": "example",
"error_code": "example"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}

Internal Server Error

Media typeapplication/json
ErrorResponse

Standard error response.

object
detail
required
Detail

Error message

string
error_code
Any of:
string
Examplegenerated
{
"detail": "example",
"error_code": "example"
}